> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer.shipbob.com/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server. # Get Webhooks GET https://api.shipbob.com/2.0/webhook All parameters are AND filters Reference: https://developer.shipbob.com/v2.0/api/webhooks/get-webhooks ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Servers - `https://api.shipbob.com` (https://api.shipbob.com, default) - `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com) ## Request ### Query parameters - `Topic` (string, optional) — Topic of the webhooks requested - `Page` (integer, optional) — Page of Webhooks to get - `Limit` (integer, optional) — Amount of Webhooks per page to request ## Response ### 200 Success - `list of Webhooks.WebhookViewModel` ## Errors ### 400 Bad Request Error Bad Request - `map from string to list of string` ### 401 Unauthorized Error No access right at this time - `any` ### 403 Forbidden Error No access - `any` ## Types ### Webhooks.WebhookViewModel - `created_at` (datetime, optional) — Timestamp the webhook subscription was created - `enabled` (boolean, optional) — Indicates if the webhook subscription is enabled or not - `id` (integer, optional) — ID of the webhook subscription - `subscription_url` (string, optional, nullable) — URL subscription events will be posted to - `topic` (enum, optional) - Allowed values: `order_shipped`, `shipment_delivered`, `shipment_exception`, `shipment_onhold`, `shipment_cancelled` ## Examples **Response** ```json [ { "created_at": "2019-08-24T14:15:22Z", "enabled": true, "id": 12345, "subscription_url": "http://example.com", "topic": "order_shipped" } ] ``` **SDK Code** ```python Webhooks_getWebhooks_example import requests url = "https://api.shipbob.com/2.0/webhook" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Webhooks_getWebhooks_example const url = 'https://api.shipbob.com/2.0/webhook'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Webhooks_getWebhooks_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2.0/webhook" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Webhooks_getWebhooks_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2.0/webhook") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Webhooks_getWebhooks_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2.0/webhook") .header("Authorization", "Bearer ") .asString(); ``` ```php Webhooks_getWebhooks_example request('GET', 'https://api.shipbob.com/2.0/webhook', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Webhooks_getWebhooks_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2.0/webhook"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Webhooks_getWebhooks_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2.0/webhook")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```